// ----------------------------------------------------------------------- //
//
// MODULE  : KatoBoss.cpp
//
// PURPOSE : KatoBoss - Implementation
//
// CREATED : 1/3/99 by Ewen Vowels for Anarchy Arts
//
// ----------------------------------------------------------------------- //

#include "LOFKatoBoss.h"

BEGIN_CLASS(KatoBoss)
	ADD_LONGINTPROP(WeaponId, GUN_AMBEDSHOCHI_ID)
	ADD_STRINGPROP_FLAG(Filename, GetModel(MI_AI_KATOBOSS_ID), PF_DIMS | PF_HIDDEN)
	ADD_BOOLPROP_FLAG(Small, 0, PF_HIDDEN)
END_CLASS_DEFAULT(KatoBoss, MajorCharacter, NULL, NULL)


// ----------------------------------------------------------------------- //
//
//	ROUTINE:	KatoBoss::KatoBoss()
//
//	PURPOSE:	Constructor
//
// ----------------------------------------------------------------------- //

KatoBoss::KatoBoss() : MajorCharacter()
{
	m_nModelId	 = MI_AI_KATOBOSS_ID;
	m_bIsMecha	 = DFALSE;
	m_nWeaponId	 = GUN_AMBEDSHOCHI_ID;
	m_cc		 = ALIEN;
}
